Advertising - Reward Ad Activity
Reward player's ad activity
POST https://titleId.playfabapi.com/Client/RewardAdActivity
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| PlacementId | True |
string |
Placement unique ID |
| RewardId | True |
string |
Reward unique ID |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Result for rewarding an ad activity |
|
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Ad |
Details for each item granted |
|
Ad |
Details on what was granted to the player |
|
Api |
The basic wrapper around every failed API response |
|
Reward |
Details on which placement and reward to perform a grant on |
|
Reward |
Result for rewarding an ad activity |
AdRewardItemGranted
Details for each item granted
| Name | Type | Description |
|---|---|---|
| CatalogId |
string |
Catalog ID |
| DisplayName |
string |
Catalog item display name |
| InstanceId |
string |
Inventory instance ID |
| ItemId |
string |
Item ID |
AdRewardResults
Details on what was granted to the player
| Name | Type | Description |
|---|---|---|
| GrantedItems |
Array of the items granted to the player |
|
| GrantedVirtualCurrencies |
object |
Dictionary of virtual currencies that were granted to the player |
| IncrementedStatistics |
object |
Dictionary of statistics that were modified for the player |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
RewardAdActivityRequest
Details on which placement and reward to perform a grant on
| Name | Type | Description |
|---|---|---|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| PlacementId |
string |
Placement unique ID |
| RewardId |
string |
Reward unique ID |
RewardAdActivityResult
Result for rewarding an ad activity
| Name | Type | Description |
|---|---|---|
| AdActivityEventId |
string |
PlayStream Event ID that was generated by this reward (all subsequent events are associated with this event identifier) |
| DebugResults |
string[] |
Debug results from the grants |
| PlacementId |
string |
Id of the placement the reward was for |
| PlacementName |
string |
Name of the placement the reward was for |
| PlacementViewsRemaining |
number |
If placement has viewing limits indicates how many views are left |
| PlacementViewsResetMinutes |
number |
If placement has viewing limits indicates when they will next reset |
| RewardResults |
Reward results |
Error Codes
| Name | Code |
|---|---|
| ActionGroupNotFound | 1250 |
| AllAdPlacementViewsAlreadyConsumed | 1269 |
| InvalidAdPlacementAndReward | 1268 |